# PropertyActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``PropertyActuator`(Actuator)

  Actuator to handle properties

  `mode`
    - `ASSIGN` Assign.
    - `ADD` Add.
    - `COPY` Copy.
    - `TOGGLE` Toggle, For bool/int/float/timer properties only.
    - `LEVEL` Level, For bool/int/float/timer properties only.

    Type: | enum in [‘ASSIGN’, ‘ADD’, ‘COPY’, ‘TOGGLE’, ‘LEVEL’], default ‘ASSIGN’

  `object`

    Copy from this Object

    Type: | `Object`

  `object_property`

    Copy this property

    Type: | string, default “”, (never None)

  `property`

    The name of the property

    Type: | string, default “”, (never None)

  `value`

    The name of the property or the value to use (use “” around strings)

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`